### A free/open-source library for quantitative finance

Classes | Public Member Functions
CliquetOption Class Reference
Financial instruments

cliquet (Ratchet) option More...

`#include <ql/instruments/cliquetoption.hpp>`

Inheritance diagram for CliquetOption:
[legend]

List of all members.

## Classes

class | arguments
| Arguments for cliquet option calculation More...
class | engine
| Cliquet engine base class. More...

## Public Member Functions

| CliquetOption (const boost::shared_ptr< PercentageStrikePayoff > &, const boost::shared_ptr< EuropeanExercise > &maturity, const std::vector< Date > &resetDates)
void | setupArguments (PricingEngine::arguments *) const

## Detailed Description

cliquet (Ratchet) option

A cliquet option, also known as Ratchet option, is a series of forward-starting (a.k.a. deferred strike) options where the strike for each forward start option is set equal to a fixed percentage of the spot price at the beginning of each period.

Possible enhancements:
  - add local/global caps/floors
  - add accrued coupon and last fixing

## Member Function Documentation

void setupArguments | ( | PricingEngine::arguments * |  | ) | const`[virtual]`

When a derived argument structure is defined for an instrument, this method should be overridden to fill it. This is mandatory in case a pricing engine is used.

Reimplemented from Option.